diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/helper/phy-rx-stats-calculator.cc ns-3.33/src/lte/helper/phy-rx-stats-calculator.cc
--- ns-3.32/src/lte/helper/phy-rx-stats-calculator.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/helper/phy-rx-stats-calculator.cc	2021-01-09 10:19:22.000000000 -0800
@@ -49,7 +49,7 @@
 {
   static TypeId tid = TypeId ("ns3::PhyRxStatsCalculator")
     .SetParent<LteStatsCalculator> ()
-    .SetGroupName("Lte")
+    .SetGroupName ("Lte")
     .AddConstructor<PhyRxStatsCalculator> ()
     .AddAttribute ("DlRxOutputFilename",
                    "Name of the file where the downlink results will be saved.",
@@ -118,7 +118,6 @@
         }
     }
 
-//   outFile << Simulator::Now ().GetNanoSeconds () / (double) 1e9 << "\t";
   outFile << params.m_timestamp << "\t";
   outFile << (uint32_t) params.m_cellId << "\t";
   outFile << params.m_imsi << "\t";
@@ -163,7 +162,6 @@
         }
     }
 
-//   outFile << Simulator::Now ().GetNanoSeconds () / (double) 1e9 << "\t";
   outFile << params.m_timestamp << "\t";
   outFile << (uint32_t) params.m_cellId << "\t";
   outFile << params.m_imsi << "\t";
@@ -174,13 +172,13 @@
   outFile << (uint32_t) params.m_rv << "\t";
   outFile << (uint32_t) params.m_ndi << "\t";
   outFile << (uint32_t) params.m_correctness << "\t";
-  outFile << (uint32_t) params.m_ccId <<std::endl;
+  outFile << (uint32_t) params.m_ccId << std::endl;
   outFile.close ();
 }
 
 void
 PhyRxStatsCalculator::DlPhyReceptionCallback (Ptr<PhyRxStatsCalculator> phyRxStats,
-                      std::string path, PhyReceptionStatParameters params)
+                                              std::string path, PhyReceptionStatParameters params)
 {
   NS_LOG_FUNCTION (phyRxStats << path);
   uint64_t imsi = 0;
@@ -203,7 +201,7 @@
 
 void
 PhyRxStatsCalculator::UlPhyReceptionCallback (Ptr<PhyRxStatsCalculator> phyRxStats,
-                      std::string path, PhyReceptionStatParameters params)
+                                              std::string path, PhyReceptionStatParameters params)
 {
   NS_LOG_FUNCTION (phyRxStats << path);
   uint64_t imsi = 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/helper/phy-stats-calculator.cc ns-3.33/src/lte/helper/phy-stats-calculator.cc
--- ns-3.32/src/lte/helper/phy-stats-calculator.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/helper/phy-stats-calculator.cc	2021-01-09 10:19:22.000000000 -0800
@@ -32,8 +32,8 @@
 
 PhyStatsCalculator::PhyStatsCalculator ()
   :  m_RsrpSinrFirstWrite (true),
-    m_UeSinrFirstWrite (true),
-    m_InterferenceFirstWrite (true)
+     m_UeSinrFirstWrite (true),
+     m_InterferenceFirstWrite (true)
 {
   NS_LOG_FUNCTION (this);
 
@@ -49,7 +49,7 @@
 {
   static TypeId tid = TypeId ("ns3::PhyStatsCalculator")
     .SetParent<LteStatsCalculator> ()
-    .SetGroupName("Lte")
+    .SetGroupName ("Lte")
     .AddConstructor<PhyStatsCalculator> ()
     .AddAttribute ("DlRsrpSinrFilename",
                    "Name of the file where the RSRP/SINR statistics will be saved.",
@@ -138,7 +138,7 @@
         }
     }
 
-  outFile << Simulator::Now ().GetNanoSeconds () / (double) 1e9 << "\t";
+  outFile << Simulator::Now ().GetSeconds () << "\t";
   outFile << cellId << "\t";
   outFile << imsi << "\t";
   outFile << rnti << "\t";
@@ -177,7 +177,7 @@
         }
     }
 
-  outFile << Simulator::Now ().GetNanoSeconds () / (double) 1e9 << "\t";
+  outFile << Simulator::Now ().GetSeconds () << "\t";
   outFile << cellId << "\t";
   outFile << imsi << "\t";
   outFile << rnti << "\t";
@@ -215,7 +215,7 @@
         }
     }
 
-  outFile << Simulator::Now ().GetNanoSeconds () / (double) 1e9 << "\t";
+  outFile << Simulator::Now ().GetSeconds () << "\t";
   outFile << cellId << "\t";
   outFile << *interference;
   outFile.close ();
@@ -224,8 +224,8 @@
 
 void
 PhyStatsCalculator::ReportCurrentCellRsrpSinrCallback (Ptr<PhyStatsCalculator> phyStats,
-                      std::string path, uint16_t cellId, uint16_t rnti,
-                      double rsrp, double sinr, uint8_t componentCarrierId)
+                                                       std::string path, uint16_t cellId, uint16_t rnti,
+                                                       double rsrp, double sinr, uint8_t componentCarrierId)
 {
   NS_LOG_FUNCTION (phyStats << path);
   uint64_t imsi = 0;
@@ -269,7 +269,7 @@
 
 void
 PhyStatsCalculator::ReportInterference (Ptr<PhyStatsCalculator> phyStats, std::string path,
-                    uint16_t cellId, Ptr<SpectrumValue> interference)
+                                        uint16_t cellId, Ptr<SpectrumValue> interference)
 {
   NS_LOG_FUNCTION (phyStats << path);
   phyStats->ReportInterference (cellId, interference);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/helper/phy-tx-stats-calculator.cc ns-3.33/src/lte/helper/phy-tx-stats-calculator.cc
--- ns-3.32/src/lte/helper/phy-tx-stats-calculator.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/helper/phy-tx-stats-calculator.cc	2021-01-09 10:19:22.000000000 -0800
@@ -49,7 +49,7 @@
 {
   static TypeId tid = TypeId ("ns3::PhyTxStatsCalculator")
     .SetParent<LteStatsCalculator> ()
-    .SetGroupName("Lte")
+    .SetGroupName ("Lte")
     .AddConstructor<PhyTxStatsCalculator> ()
     .AddAttribute ("DlTxOutputFilename",
                    "Name of the file where the downlink results will be saved.",
@@ -105,7 +105,6 @@
           return;
         }
       m_dlTxFirstWrite = false;
-      //outFile << "% time\tcellId\tIMSI\tRNTI\tlayer\tmcs\tsize\trv\tndi"; // txMode is not available at dl tx side
       outFile << "% time\tcellId\tIMSI\tRNTI\tlayer\tmcs\tsize\trv\tndi\tccId";
       outFile << std::endl;
     }
@@ -119,7 +118,6 @@
         }
     }
 
-//   outFile << Simulator::Now ().GetNanoSeconds () / (double) 1e9 << "\t";
   outFile << params.m_timestamp << "\t";
   outFile << (uint32_t) params.m_cellId << "\t";
   outFile << params.m_imsi << "\t";
@@ -164,7 +162,6 @@
         }
     }
 
-//   outFile << Simulator::Now ().GetNanoSeconds () / (double) 1e9 << "\t";
   outFile << params.m_timestamp << "\t";
   outFile << (uint32_t) params.m_cellId << "\t";
   outFile << params.m_imsi << "\t";
@@ -181,7 +178,7 @@
 
 void
 PhyTxStatsCalculator::DlPhyTransmissionCallback (Ptr<PhyTxStatsCalculator> phyTxStats,
-                      std::string path, PhyTransmissionStatParameters params)
+                                                 std::string path, PhyTransmissionStatParameters params)
 {
   NS_LOG_FUNCTION (phyTxStats << path);
   uint64_t imsi = 0;
@@ -204,7 +201,7 @@
 
 void
 PhyTxStatsCalculator::UlPhyTransmissionCallback (Ptr<PhyTxStatsCalculator> phyTxStats,
-                      std::string path, PhyTransmissionStatParameters params)
+                                                 std::string path, PhyTransmissionStatParameters params)
 {
   NS_LOG_FUNCTION (phyTxStats << path);
   uint64_t imsi = 0;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/helper/radio-bearer-stats-calculator.cc ns-3.33/src/lte/helper/radio-bearer-stats-calculator.cc
--- ns-3.32/src/lte/helper/radio-bearer-stats-calculator.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/helper/radio-bearer-stats-calculator.cc	2021-01-09 10:19:22.000000000 -0800
@@ -34,7 +34,7 @@
 
 RadioBearerStatsCalculator::RadioBearerStatsCalculator ()
   : m_firstWrite (true),
-    m_pendingOutput (false), 
+    m_pendingOutput (false),
     m_protocolType ("RLC")
 {
   NS_LOG_FUNCTION (this);
@@ -59,16 +59,16 @@
   static TypeId tid =
     TypeId ("ns3::RadioBearerStatsCalculator")
     .SetParent<LteStatsCalculator> ().AddConstructor<RadioBearerStatsCalculator> ()
-    .SetGroupName("Lte")
-    .AddAttribute ("StartTime", "Start time of the on going epoch.", 
+    .SetGroupName ("Lte")
+    .AddAttribute ("StartTime", "Start time of the on going epoch.",
                    TimeValue (Seconds (0.)),
                    MakeTimeAccessor (&RadioBearerStatsCalculator::SetStartTime,
-                                     &RadioBearerStatsCalculator::GetStartTime), 
+                                     &RadioBearerStatsCalculator::GetStartTime),
                    MakeTimeChecker ())
-    .AddAttribute ("EpochDuration", "Epoch duration.", 
-                   TimeValue (Seconds (0.25)), 
+    .AddAttribute ("EpochDuration", "Epoch duration.",
+                   TimeValue (Seconds (0.25)),
                    MakeTimeAccessor (&RadioBearerStatsCalculator::GetEpoch,
-                                     &RadioBearerStatsCalculator::SetEpoch), 
+                                     &RadioBearerStatsCalculator::SetEpoch),
                    MakeTimeChecker ())
     .AddAttribute ("DlRlcOutputFilename",
                    "Name of the file where the downlink results will be saved.",
@@ -104,30 +104,30 @@
     }
 }
 
-void 
+void
 RadioBearerStatsCalculator::SetStartTime (Time t)
 {
   m_startTime = t;
   RescheduleEndEpoch ();
 }
 
-Time 
+Time
 RadioBearerStatsCalculator::GetStartTime () const
 {
   return m_startTime;
 }
 
-void 
+void
 RadioBearerStatsCalculator::SetEpoch (Time e)
 {
   m_epochDuration = e;
   RescheduleEndEpoch ();
 }
 
-Time 
+Time
 RadioBearerStatsCalculator::GetEpoch () const
 {
-  return m_epochDuration;  
+  return m_epochDuration;
 }
 
 void
@@ -300,8 +300,8 @@
       LteFlowId_t flowId = flowIdIt->second;
       NS_ASSERT_MSG (flowId.m_lcId == p.m_lcId, "lcid mismatch");
 
-      outFile << m_startTime.GetNanoSeconds () / 1.0e9 << "\t";
-      outFile << endTime.GetNanoSeconds () / 1.0e9 << "\t";
+      outFile << m_startTime.GetSeconds () << "\t";
+      outFile << endTime.GetSeconds () << "\t";
       outFile << GetUlCellId (p.m_imsi, p.m_lcId) << "\t";
       outFile << p.m_imsi << "\t";
       outFile << flowId.m_rnti << "\t";
@@ -359,8 +359,8 @@
       LteFlowId_t flowId = flowIdIt->second;
       NS_ASSERT_MSG (flowId.m_lcId == p.m_lcId, "lcid mismatch");
 
-      outFile << m_startTime.GetNanoSeconds () / 1.0e9 << "\t";
-      outFile << endTime.GetNanoSeconds () / 1.0e9 << "\t";
+      outFile << m_startTime.GetSeconds () << "\t";
+      outFile << endTime.GetSeconds () << "\t";
       outFile << GetDlCellId (p.m_imsi, p.m_lcId) << "\t";
       outFile << p.m_imsi << "\t";
       outFile << flowId.m_rnti << "\t";
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/a3-rsrp-handover-algorithm.cc ns-3.33/src/lte/model/a3-rsrp-handover-algorithm.cc
--- ns-3.32/src/lte/model/a3-rsrp-handover-algorithm.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/a3-rsrp-handover-algorithm.cc	2021-01-09 10:19:22.000000000 -0800
@@ -51,7 +51,7 @@
 {
   static TypeId tid = TypeId ("ns3::A3RsrpHandoverAlgorithm")
     .SetParent<LteHandoverAlgorithm> ()
-    .SetGroupName("Lte")
+    .SetGroupName ("Lte")
     .AddConstructor<A3RsrpHandoverAlgorithm> ()
     .AddAttribute ("Hysteresis",
                    "Handover margin (hysteresis) in dB "
@@ -95,7 +95,7 @@
   uint8_t hysteresisIeValue = EutranMeasurementMapping::ActualHysteresis2IeValue (m_hysteresisDb);
   NS_LOG_LOGIC (this << " requesting Event A3 measurements"
                      << " (hysteresis=" << (uint16_t) hysteresisIeValue << ")"
-                     << " (ttt=" << m_timeToTrigger.GetMilliSeconds () << ")");
+                     << " (ttt=" << m_timeToTrigger.As (Time::MS) << ")");
 
   LteRrcSap::ReportConfigEutra reportConfig;
   reportConfig.eventId = LteRrcSap::ReportConfigEutra::EVENT_A3;
